Subject: bug#6121: 24.0.50; setting-constant enable-multibyte-characters

From: Jim Meyering <[email-masked]>
Date: Sat, 08 May 2010 17:31:55 +0200

Jim Meyering wrote:

> Jim Meyering wrote:
>> FYI, I've encountered exactly the same problem as described here:
>>
>>   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6121
>>
>> It happens nearly any time I try to forward a message from gnus.
>> I am using the latest built from git.
>>
>> BTW, I noticed that today it fails to build:
>>
>>   Loading bindings (source)...
>>   Loading /mirror/d/emacs/lisp/files.el (source)...
>>   Symbol's function definition is void: define-minor-mode
>>   make[2]: *** [bootstrap-emacs] Error 255
>>   make[2]: Leaving directory `/tmp/jt-ltHmbB/emacs/src'
>>   make[1]: *** [src] Error 2
>>   make[1]: Leaving directory `/tmp/jt-ltHmbB/emacs'
>>   make: *** [bootstrap] Error 2
>
> FYI,
>
> I found that reverting the most recent changes to the offending code
> solved that problem:
>
> I reverted part of a55d3b41c25a83197bc02a6a790c6f927088e08f
> locally, and can now use GNUS' forwarding once again:
> http://repo.or.cz/w/emacs.git/commitdiff/a55d3b41c25a8319
>
>     Synch with Gnus trunk.
>     ...
>     * mm-util.el (mm-enable-multibyte, mm-disable-multibyte): Use (featurep
>     'xemacs) instead of mm-emacs-mule to switch function definitions.
>     (mm-with-unibyte-current-buffer): Make it a progn macro for XEmacs.

Humph.  That was not the cause/fix at all.
I tested the wrong version.
Sorry about that.

That'll teach me not to try to fix things blindly.